Subject: Re: [Bitcoin-development] Making fee estimation better

From: Mike Hearn <[email-masked]>
Date: Thu, 24 Oct 2013 16:38:16 +0200

On Thu, Oct 24, 2013 at 4:30 PM, Peter Todd <[email-masked]> wrote:

> Quick thought on how to make blockchain-based fee estimates work better
> in the context of out-of-band mining contracts: have miners advertise in
> their coinbase's what fees were actually paid, as opposed to appear to
> have been paid.

This is interesting, but I suppose some miners may have business models
that can't be easily summed up as a "fee" - like all-you-can-eat deals with
certain providers, or preference to certain kinds of transactions etc.

For the concern that estimation might force fees down too far if miners
include private transactions, I thought the estimates were calculated only
on broadcast transactions, so transactions that just appear in a block
won't ever influence the estimate?